Package org.gradle.api.artifacts.result

# Interface ArtifactResolutionResult

@Incubating public interface ArtifactResolutionResult
The result of executing an artifact resolution query.

Since:
  2.0

## Method Summary

Modifier and Type
Method
Description
`Set<ComponentResult>`
`getComponents()`
Return a set of `ComponentResult` instances representing all requested components.
`Set<ComponentArtifactsResult>`
`getResolvedComponents()`
Return a set of `ComponentResult` instances representing all successfully resolved components.

## Method Details

### getComponents

Set<ComponentResult> getComponents()

Return a set of `ComponentResult` instances representing all requested components.

Each element in the returned set is declared as an opaque `ComponentResult`. However each element in the result will also implement one of the following interfaces:

- `ComponentArtifactsResult` for any component that could be resolved in the set of repositories.
- `UnresolvedComponentResult` for any component that could not be resolved from the set of repositories.

Returns:
  the set of results for all requested components

### getResolvedComponents

Set<ComponentArtifactsResult> getResolvedComponents()

Return a set of `ComponentResult` instances representing all successfully resolved components.

Calling this method is the same as calling `getComponents()` and filtering the resulting set for elements of type `ComponentArtifactsResult`.

Returns:
  the set of all successfully resolved components